Bug 1230770 (CVE-2015-4692) - CVE-2015-4692 kernel: kvm x86: NULL pointer dereference in kvm_apic_has_events function
Summary: CVE-2015-4692 kernel: kvm x86: NULL pointer dereference in kvm_apic_has_event...
Status: CLOSED WONTFIX
Alias: CVE-2015-4692
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150604,repor...
Keywords: Security
Depends On: 1230774
Blocks: 1230771
TreeView+ depends on / blocked
 
Reported: 2015-06-11 14:04 UTC by Vasyl Kaigorodov
Modified: 2019-06-11 11:13 UTC (History)
32 users (show)

(edit)
A DoS flaw was found for a Linux kernel built for the x86 architecture which had the KVM virtualization support(CONFIG_KVM) enabled. The kernel would be vulnerable to a NULL pointer dereference flaw in Linux kernel's kvm_apic_has_events() function while doing an ioctl. An unprivileged user able to access the "/dev/kvm" device could use this flaw to crash the system kernel.
Clone Of:
(edit)
Last Closed: 2019-06-08 02:41:53 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-06-11 14:04:03 UTC
Linux kernel built for the x86 architecture, with the KVM virtualisation support(CONFIG_KVM) is vulnerable to a NULL pointer dereference flaw. It could occur while doing KVM's Virtual CPU ioctl(2) call, in Linux kernel's kvm_apic_has_events() function.

An unprivileged user able to access "/dev/kvm" device, could use this flaw to crash the system kernel resulting in DoS.

Upstream fix:
-------------
  -> https://lkml.org/lkml/2015/6/4/163

Reference:
----------
  -> http://seclists.org/oss-sec/2015/q2/680

Comment 1 Vasyl Kaigorodov 2015-06-11 14:08:41 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1230774]

Comment 2 Prasad J Pandit 2015-06-18 11:12:24 UTC
Statement:

This issue does not affect the versions of Linux kernel as shipped with
Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.

This issue affects the version of the kernel package as shipped with
Red Hat Enterprise Linux 7.

Comment 3 Prasad J Pandit 2015-06-18 11:13:59 UTC
This has been rated as having Moderate security impact and is not currently
planned to be addressed in future updates. For additional information, refer
to the Red Hat Enterprise Linux Life Cycle:

 -> https://access.redhat.com/support/policy/updates/errata/

Comment 5 Fedora Update System 2015-06-27 12:39:42 UTC
kernel-4.0.6-300.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-06-30 20:12:47 UTC
kernel-4.0.6-200.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Vasily Averin 2016-02-03 09:43:54 UTC
Please update description, seems it was fixed in RHEL7.2
https://access.redhat.com/labs/psb/versions/kernel-3.10.0-327.el7/patches/kvm-x86-fix-kvm_apic_has_events-to-check-for-NULL-pointer


Note You need to log in before you can comment on or make changes to this bug.